# $Revision: 1.7 $, $Date: 2004/12/02 22:44:45 $
%include /usr/lib/rpm/macros.perl
Summary:	Gtk-frontend for scmxx
Summary(pl):	Graficzna nakadka na program scmxx korzystajca z perl-GTK
Name:		gscmxx
Version:	0.4.1
Release:	2
License:	GPL
Group:		X11/Applications
Source0:	http://dl.sourceforge.net/gscmxx/%{name}-%{version}.tar.gz
# Source0-md5:	5efea1ca76d0e32928e9decde8525f14
Patch0:		%{name}-DESTDIR.patch
URL:		http://gscmxx.sourceforge.net/
BuildRequires:	perl-gtk
BuildRequires:	perl-Image-Size
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	scmxx > 0.6.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Gtk-frontend for scmxx.

%description -l pl
Graficzna nakadka na program scmxx korzystajca z perl-GTK.

%prep
%setup -q
%patch0 -p1

%build
%{__perl} Makefile.PL \
	PREFIX=%{_prefix} \
	INSTALLDIRS=vendor
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README doc/Features.txt TODO
%attr(755,root,root) %{_bindir}/*
%{_pixmapsdir}/%{name}
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/i18n
%{_datadir}/%{name}/i18n/english
%lang(de) %{_datadir}/%{name}/i18n/german
%lang(it) %{_datadir}/%{name}/i18n/italian
%lang(hu) %{_datadir}/%{name}/i18n/magyar
%{perl_vendorlib}/SCMxx*
%{_mandir}/man1/*
%{_mandir}/man3/SCMxx*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gscmxx.spec,v $
Revision 1.7  2004/12/02 22:44:45  ankry
- define PREFIX

Revision 1.6  2003/06/10 10:47:25  qboosh
- use lang() for i18n, added man pages

Revision 1.5  2003/05/26 16:25:08  malekith
- massive attack: adding Source-md5

Revision 1.4  2003/05/25 05:48:27  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.3  2003/05/11 21:49:18  radek
- release 2: updated for perl-5.8, BR: rpm-perlprov (untested)

Revision 1.2  2003/02/25 12:13:30  qboosh
- working Source URL

Revision 1.1  2003/01/07 16:41:44  migo
- from template, very crude
- it contains perl module, it should have it's own spec
- why SCMxx::Config isn't in autogenerated Provides?
- no descriptions
